Page MenuHomePhabricator

efl_ui_focus_manager: performance optimize order setting
ClosedPublic

Authored by bu5hm4n on Dec 13 2018, 11:22 PM.

Details

Summary

setting the order is a little bit expensive, this performance optimizes
order setting in the focus manager. We don't need to set the order each
time something is registered, it is enough to set it once we need the
correct order.

We don't need to evalulate the state in the Manager_Root_Focus if the
rect is not registered. If its not, then another new element cannot
cause the rect to be registered.
Depends on D7310

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 13 2018, 11:22 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

YOhoho accepted this revision.Dec 16 2018, 3:55 PM
This revision is now accepted and ready to land.Dec 16 2018, 3:55 PM
Closed by commit rEFLef874d5b5940: efl_ui_focus_manager: performance optimize order setting (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 17 2018, 12:46 AM
This revision was automatically updated to reflect the committed changes.